com.fasterxml.jackson.databind.ext

## Class CoreXMLSerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.CoreXMLSerializers

All Implemented Interfaces:
  Provider<Map.Entry<Class<?>,JsonSerializer<?>>>

    public class CoreXMLSerializers
    extends Object
    implements Provider<Map.Entry<Class<?>,JsonSerializer<?>>>

Provider for serializers of XML types that are part of full JDK 1.5, but that some alleged 1.5 platforms are missing (Android, GAE). And for this reason these are added using more dynamic mechanism.

Note: since many of classes defined are abstract, caller must take care not to just use straight equivalency check but rather consider subclassing as well.

### Nested Class Summary

Nested Classes
`static class` `CoreXMLSerializers.XMLGregorianCalendarSerializer`

### Constructor Summary

Constructors
Constructor and Description
`CoreXMLSerializers()`

### Method Summary

Methods
`Collection<Map.Entry<Class<?>,JsonSerializer<?>>>` `provide()` Method used to request provider to provide entries it has

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoreXMLSerializers

    public CoreXMLSerializers()

### Method Detail

#### provide

    public Collection<Map.Entry<Class<?>,JsonSerializer<?>>> provide()

Description copied from interface: `Provider`
Method used to request provider to provide entries it has

Specified by:
  `provide` in interface `Provider<Map.Entry<Class<?>,JsonSerializer<?>>>`